Subject: Re: [Simple] RPID: an element representing the presentity vs. the tuple

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 14 Jun 2004 22:49:34 -0400

I suspect the outcome of the current iteration #97 of "what is a tuple" 
discussion will resolve this issue.

In order to make forward progress, I'd like to suggest that we adopt the 
approach indicated in both CIPID and RPID. It seems to do the trick with 
minimal complexity. Please register objections (or agreement) soon.

Henning

Aki Niemi wrote:

> Hi,
> 
> To me at least, there seems to be a discrepancy between the models used 
> in CIPID and RPID wrt an element representing the presentity vs. a tuple.
> 
> In CIPID, elements that describe the presentity are under <presentity> 
> and elements that describe the tuples are under <tuple>. In RPID, many 
> of the elements might well represent either one (although some like 
> <mood> typically would represent the presentity), but the only way to 
> indicate that is to set the <tuple-type> to "presentity".
> 
> I think I'm leaning towards the CIPID way of indicating this, i.e., 
> putting those elements that describe the presentity directly under 
> <presentity>, and others either under <tuple> or <status>.
> 
> At least <mood> and <place-type> should be like this, perhaps also 
> <activities>, <sphere> and <idle>.
> 
> Cheers,
> Aki
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple